SystemOrganization addCategory: #GODCallTests!

TestCase subclass: #GCProcessorTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GODCallTests'!

!GCProcessorTest methodsFor: 'initialize-release' stamp: 'cms 9/27/2014 23:30'!
setUp
	"test set up"
! !

!GCProcessorTest methodsFor: 'tests' stamp: 'cms 9/28/2014 18:59'!
testGenerateGODConferencesFromSpreadsheet
	"test if given a spreadsheet with conference data it is converted to GODConferences correctly"
	 |spreadsheet godConferencesCollection processor|
	"spreadsheet := GODSpreadsheet generateFromCSV: 'conferencesMock.xls'."
	processor := GCProcessor new.
	godConferencesCollection := processor generateGodConferencesFrom: spreadsheet.
	godConferencesCollection do: [ :godConference | 
		self assert: godConference getName == 'Teste'
	]! !

TestCase subclass: #GODCallTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GODCallTests'!

!GODCallTest methodsFor: 'testing' stamp: 'cms 9/28/2014 12:45'!
testUserSearch
	"emulate a user's search"

	| searchFilter godCall page|
"	searchFilter := GCSearchFilter new.
	searchFilter searchKey: 'algorithms'.
	searchFilter category: 'theory of computation'.
	searchFilter startDate: (Date year:2015 month: 1 day: 1).
	searchFilter endDate: (Date year:2015 month: #December  day: 1)."

	searchFilter := (GCSearchFilter search: 'algorithms' in: 'theory of computation' from: (Date year:2015 month: 1 day: 1) to: (Date year:2015 month: #December  day: 1)).

	"call submitForm using searchFilter. Perhaps, this should be a static method."
	godCall := GODCall new.
	page := godCall submitForm: searchFilter.

	"TODO: assert other characteristics it must have"
	self assert: (page isKindOf: GODData)! !
